### Hierarchy

- PokemonEncounter

## Index

### Properties

- attackProbability
- attackTimer
- baseCaptureRate
- baseFleeRate
- cameraDistance
- collisionRadius
- dodgeDistance
- dodgeProbability
- gender
- jumpTime
- maxPokemonActionFrequency
- minPokemonActionFrequency
- movementType

## Properties

### attackProbability

attackProbability: number

- Defined in components/pokemon/pokemon.model.ts:17

### attackTimer

attackTimer: number

- Defined in components/pokemon/pokemon.model.ts:16

### baseCaptureRate

baseCaptureRate: number

- Defined in components/pokemon/pokemon.model.ts:12

### baseFleeRate

baseFleeRate: number

- Defined in components/pokemon/pokemon.model.ts:11

### cameraDistance

cameraDistance: number

- Defined in components/pokemon/pokemon.model.ts:20

### collisionRadius

collisionRadius: number

- Defined in components/pokemon/pokemon.model.ts:13

### dodgeDistance

dodgeDistance: number

- Defined in components/pokemon/pokemon.model.ts:19

### dodgeProbability

dodgeProbability: number

- Defined in components/pokemon/pokemon.model.ts:18

### Optional gender

gender: PokemonGender

- Defined in components/pokemon/pokemon.model.ts:23

### jumpTime

jumpTime: number

- Defined in components/pokemon/pokemon.model.ts:15

### maxPokemonActionFrequency

maxPokemonActionFrequency: number

- Defined in components/pokemon/pokemon.model.ts:22

### minPokemonActionFrequency

minPokemonActionFrequency: number

- Defined in components/pokemon/pokemon.model.ts:21

### Optional movementType

movementType: Identifyable

- Defined in components/pokemon/pokemon.model.ts:14

Generated using TypeDoc